/* HEADER SECTION */
header {
    position: sticky;
    top: 0;
    width: 100%;
    background-color: var(--azulTransparente);
    z-index: 50;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* padding: 1rem; */
}

nav a {
    font-weight: bold;
    margin: 0;
}
nav h1:hover{
    transform: scale(1.1);
    color: var(--naranja);
    cursor: pointer;
}

.logo{
  width: 120px;
  height: 80px;
}

.nav-links {
  position: fixed;
  top: 0;
  right: 0;
  width: 200px;
  height: 100vh;

  background: var(--azulTransparente);
  padding: 80px 30px;

  display: flex;
  flex-direction: column;
  gap: 20px;

  transform: translateX(100%);
  transition: transform 0.35s ease;
}
.nav-links.active {
  transform: translateX(0);
}
.nav-links a {
  font-size: 18px;
}
.nav-links a.active {
  color: var(--naranja);
}

.nav-menu button{
    background: none;
    border: none;
    color: var(--blanco);
    font-size: 1.5rem;
    cursor: pointer;
}
/* botón cerrar */

.nav-close {
  position: absolute;
  top: 20px;
  right: 20px;

  background: none;
  border: none;
  color: white;
  font-size: 24px;
  cursor: pointer;
}

/* ---- MEDIAS QUERIES ----- */
@media (min-width: 768px) {

  .nav-menu {
    display: none;
  }

  .nav-close {
    display: none;
  }

  .nav-links {
    position: static;
    height: auto;
    width: auto;

    background: transparent;
    padding: 0;

    flex-direction: row;
    transform: none;
  }

  .nav-links a:hover {
    color: var(--naranja);

  }
}


/* ----------------- HERO SECTION  --------------------- */

.hero-section{
  position: relative;
    background-image: url(/src/img/hero_sectionn.webp);
    background-repeat: no-repeat;
    background-size: cover;
    height: 100dvh;
    width: 100%;
}
.hero-section::after {
    display: block;
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: linear-gradient(to left, transparent, rgba(0,0,0,1));
}
.hero-content{
    position: absolute;
    z-index: 10;
    bottom: 0;
    left: 0;
    height: 100%; /* solo la mitad */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding-left: 1rem;
}
.h-title{
    font-size: 1.1rem;
    margin: 2rem 0;
    line-height: 3rem;
}
.h-resume{
  width: 90%;
}
.h-resume p{
    color: var(--blanco);
    margin-bottom: 2rem;
    line-height: 1.2rem;
}
.h-actions{
    display: flex;
    gap: 1rem;
}
.h-remains{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 1rem;
    color: var(--blanco);
    margin-top: 3rem;
}
.h-remains div{
    font-family: var(--fuenteSecundaria);
    color: var(--blanco);
    font-size: .8rem;
    font-weight: bold;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    svg{
        color: var(--amarillo);
    }
}

/* ---- MEDIAS QUERIES ----- */
@media (min-width: 768px) {
  .h-title{
      font-size: 1.8rem;
      line-height: 4.3rem;
  }
  .h-remains{
      grid-template-columns: repeat(4,1fr);
  }
  .h-remains div{
    font-size: 1rem;
  }
  .h-resume{
    width: 80%;
  }
  .h-resume p{
    line-height: 1.7rem;
  }
}
@media (min-width: 1024px) {
  .hero-content{
        width: 90%;
  }
}